
Foreman - Bug #1580

Limitiation to create only 32 GB VM

04/20/2012 03:41 AM - Kevin Fernandes

Status: Duplicate   

Priority: Normal   

Assignee: Marek Hulán   

Category: VM management   

Target version: 1.6.3   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

While creating VMs via the Foreman UI. Only VMs till 32GB Memory can be created from the dropdown list. This field should be

changed, so that VMs of any Memory size could be created.

Related issues:

Related to Foreman - Bug #2314: Smaller grains for VM memory/RAM choice needed Closed 03/13/2013

Related to Foreman - Feature #10875: Add option to choose between MB and GB w... New 06/18/2015

Related to Foreman - Feature #10395: Compute Profile (oVirt) limited to 8 Cor... Closed 05/06/2015

Has duplicate Foreman - Feature #12983: Need Higher Max Core & Max Memory lim... Duplicate

History

#1 - 05/15/2012 11:35 PM - Brian Gupta

Kevin,

Any chance you can give me the URL where this field is? (Feel free to obfuscate your actual server). I don't use provisioning so am not familiar with

that particular code.

Thanks,

Brian

#2 - 05/16/2012 04:28 AM - Kevin Fernandes

- File 32GBVM.png added

Hi Brian,

I am attaching a screen shot of the fields where the configuration happens.  And the link is the following on that page when i select Provision on "and

selecting KVM host".

http://foreman.domain.local:7000/hosts/new

Regards,

Kevin

#3 - 05/21/2012 08:47 AM - Ohad Levy

- Assignee set to Amos Benari

- Difficulty set to easy

#4 - 06/21/2012 03:00 AM - Ohad Levy

- Target version deleted (1.0)

#5 - 08/20/2014 03:13 AM - Ohad Levy

- Assignee deleted (Amos Benari)

#6 - 10/23/2015 10:29 AM - Dominic Cleal
- Related to Bug #2314: Smaller grains for VM memory/RAM choice needed added

#7 - 10/23/2015 10:29 AM - Dominic Cleal

- Related to Feature #10875: Add option to choose between MB and GB when selecting Memory for new virtual machine added

#8 - 01/04/2016 11:02 AM - Dominic Cleal

- Has duplicate Feature #12983: Need Higher Max Core & Max Memory limit for compute profile under Rhev & Vmware added

#9 - 01/04/2016 11:03 AM - Dominic Cleal

- Related to Feature #10395: Compute Profile (oVirt) limited to 8 Cores and 16GB of memory added

#10 - 07/28/2016 06:38 AM - Marek Hulán

- Description updated

- Target version set to 115

#11 - 07/28/2016 08:31 AM - Marek Hulán

- Target version changed from 115 to 1.6.3

#12 - 08/11/2016 08:50 AM - Marek Hulán

- Status changed from New to Assigned

- Assignee set to Marek Hulán

This limitation is there for libvirt and oVirt CRs. VMware already exposes text field. As part of this I'll create some basement for related tasks, e.g.

same thing should be applied to CPU count.

#13 - 08/11/2016 09:34 AM - Marek Hulán

- Status changed from Assigned to Duplicate

actually all of what's here is already part of #2314 so I'll use that one
